#!/bin/bash
if [ ! -z "$GITPROJECT" ]; then
    REPOS='/var/lib/git/'$GITPROJECT'.git'
    if [ ! -d $REPOS ]; then
        addrepos $GITPROJECT
        git config --global user.email $GITUSER"@gitweb.com"
        cd /tmp
        git clone $REPOS
        cd $GITPROJECT
        cp /master.cfg .
        git add *
        git commit -m "add master.cfg"
        git push
    fi
    addauth $GITUSER $GITPASSWORD
fi 